Require Export PBFTsim.


Definition PBFTsimul : MonoSimulationState :=
  let rounds   := [MkRound 0(*position*) 79(*num of steps*)] in
  let switches := [] in
  PBFTsimul_n (MkInitRequests 7 3 100) rounds switches.

Definition PBFTsimul_pp : unit :=
  print_endline (MonoSimulationState2string PBFTsimul).

Extraction "pbft_simul.ml" PBFTsimul_pp.
